org.gnome.gtk

## Class DataColumnLong

- Object
- - org.gnome.gtk.DataColumn
  - - org.gnome.gtk.DataColumnLong

-     public final class DataColumnLong
      extends DataColumn

  A column of `long` values in a TreeModel. This class complements DataColumnInteger by adding the ability to use `long` data when sorting or for CellRenderer properties.

  See `DataColumnInteger` for discussion of why you may not necessarily need this column type even though you might think you do.

  Since:
    4.0.6
  Author:
    Andrew Cowie

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataColumnLong()`

  - ### Method Summary

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataColumnLong

          public DataColumnLong()